Create Chargeback Notification Rule

Create Chargeback Notification Rule
Create a new tenant notification rule

Create a new tenant notification rule

Request
URI
POST
https://{api_host}/suite-api/api/chargeback/notifications/rules
COPY
Request Body

The notification rule that needs to be created

chargeback-notification-rule of type(s) application/json
Required

Show optional properties

{
    "name": "string"
}
"{\n  \"id\" : \"dc8f46d7-c886-41f5-a6e2-30dbfc4dcbcb\",\n  \"resourceIds\" : [ \"93470b7e-e93b-492c-b9a0-cfda43ab938a\", \"c0752369-49f9-4d1f-b088-0c0f4e1d910c\" ],\n  \"alertDefinitionIds\" : [ \"AlertDefinition-10072e17-e2b1-45db-9eb0-f33732335635\", \"AlertDefinition-95b634ef-8c8d-4148-b637-288e01794712\" ],\n  \"name\" : \"TestRule\",\n  \"enabled\" : true\n}"
array of string
alertDefinitionIds
Optional

List of alert definitions ids, which will be included in rule

boolean
enabled
Optional
Constraints: default: true

Tenant notification rule status, enabled by default

string As uuid As uuid
id
Optional

Identifier of this tenant notification rule, automatically assigned by the system on create

string
name
Required

Tenant notification rule name

array of string
resourceIds
Optional

Identifiers of region quota resources, to which rule will be applied to

Authentication
This operation uses the following authentication methods.
Responses
201

The tenant notification rule was created successfully in the system

Returns chargeback-notification-rule of type(s) application/json
"{\n  \"id\" : \"dc8f46d7-c886-41f5-a6e2-30dbfc4dcbcb\",\n  \"resourceIds\" : [ \"93470b7e-e93b-492c-b9a0-cfda43ab938a\", \"c0752369-49f9-4d1f-b088-0c0f4e1d910c\" ],\n  \"alertDefinitionIds\" : [ \"AlertDefinition-10072e17-e2b1-45db-9eb0-f33732335635\", \"AlertDefinition-95b634ef-8c8d-4148-b637-288e01794712\" ],\n  \"name\" : \"TestRule\",\n  \"enabled\" : true\n}"
array of string
alertDefinitionIds
Optional

List of alert definitions ids, which will be included in rule

boolean
enabled
Optional
Constraints: default: true

Tenant notification rule status, enabled by default

string As uuid As uuid
id
Optional

Identifier of this tenant notification rule, automatically assigned by the system on create

string
name
Required

Tenant notification rule name

array of string
resourceIds
Optional

Identifiers of region quota resources, to which rule will be applied to


400

Only ids of the following are allowed: tenant alert definition, region quota resource

Operation doesn't return any data structure

404

Some of the following were not found in system: tenant alert definition, region quota resource

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/suite-api/api/chargeback/notifications/rules